/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.enums;

/**
 * This enum represents META SOP Class UIDs.
 */
public enum EnumMetaSOPClassUID 
{
	BASIC_GRAYSCALE_PRINT_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.5.1.1.9"),
	BASIC_COLOR_PRINT_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.5.1.1.18"),
	PULL_STORED_PRINT_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.5.1.1.32"),
	DETACHED_RESULT_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.3.1.2.5.4"),
	DETACHED_PATIENT_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.3.1.2.1.4"),
	STUDY_MANAGEMENT_META_SOP_CLASS("1.2.840.10008.3.1.2.5.5");

	private String value;

	/**
	 * The value.
	 */
	EnumMetaSOPClassUID(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
